#
# spec file for package python-appdirs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-appdirs
Version:        1.4.0
Release:        4.2
Summary:        A small Python module for determining platform-specific dirs
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/ActiveState/appdirs
Source:         https://pypi.python.org/packages/source/a/appdirs/appdirs-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
``appdirs`` will
help you choose an appropriate:

- user data dir (``user_data_dir``)
- user cache dir (``user_cache_dir``)
- site data dir (``site_data_dir``)
- user log dir (``user_log_dir``)


%prep
%setup -q -n appdirs-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
chmod a+x %{buildroot}%{python_sitelib}/appdirs.py

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE.txt README.rst
%{python_sitelib}/appdirs.py*
%{python_sitelib}/appdirs-%{version}-py*.egg-info/

%changelog
* Wed Jun  3 2015 tbechtold@suse.com
- update to 1.4.0:
  - [PR #42] AppAuthor is now optional on Windows
  - [issue 41] Support Jython on Windows, Mac, and Unix-like platforms. Windows
    support requires `JNA <https://github.com/twall/jna>`_.
  - [PR #44] Fix incorrect behaviour of the site_config_dir method
  - [Unix, issue 16] Conform to XDG standard, instead of breaking it for
    everybody
  - [Unix] Removes gratuitous case mangling of the case, since \*nix-es are
    usually case sensitive, so mangling is not wise
  - [Unix] Fixes the uterly wrong behaviour in ``site_data_dir``, return result
    based on XDG_DATA_DIRS and make room for respecting the standard which
    specifies XDG_DATA_DIRS is a multiple-value variable
  - [Issue 6] Add ``*_config_dir`` which are distinct on nix-es, according to
    XDG specs; on Windows and Mac return the corresponding ``*_data_dir``
- Remove unzip as BuildRequires. tar.gz file now provided and used
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
